Subject: Re: two problems w/ new perl encountered
From: "Gerrit P. Haase" <[email-masked]>
To: "Thomas Mellman" <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Mar 2003 21:01:51 +0100

Hallo Thomas,

Am Freitag, 14. März 2003 um 17:06 schriebst du:

> I just updated cygwin and now have two problems with the cygwin port of perl:

> - in
>     perl -d some-script
>   I have to hit Enter two times for it to be recognized.

Try to set PERLIO in the environment, e.g.
$ export PERLIO=raw
other possible settings: PERLIO=stdio, PERLIO=perlio, ...
see the perlio manpage for details.

> - man perlfunc now returns:

>   No manual entry for perlfunc

Hmmm, works for me.  Did you install the perl_manpages package?
The manpages are in a separate package since 5.8!

>   This wouldn't be so bad, because perldoc does work, sort of.  For a while now,
>   however, it's terminfo entry has been screwed up - rather than intelligent curses
>   effects, I get the expanded escape sequences.  Man works okay.

Not the fault of perl (I believe!), it works well as perl was built
and after upgrading cygwin to some later version than 1.3.12 it
doesn't work without this problem.  Do you have a guess how to fix it?

> My perl:

I'm on the way to release an update the next days, would be nice to
get the perldoc display bug fixed for that.

Gerrit
-- 
=^..^=